Bug 1781515 - systemd socket file is broken in 1.10.0-1
Summary: systemd socket file is broken in 1.10.0-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 31
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 07:55 UTC by Phil
Modified: 2020-01-04 22:15 UTC (History)
4 users (show)

Fixed In Version: tigervnc-1.10.0-2.fc31 tigervnc-1.10.1-1.fc30
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 01:54:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Phil 2019-12-10 07:55:02 UTC
Description of problem:

the file /usr/lib/systemd/system/xvnc.socket is broken in the current version. It is a service file was probably mispackaged as socket file.

Version-Release number of selected component (if applicable):

1.10.0-1

How reproducible:

always

Steps to Reproduce:
1. install tigervnc-server-1.10-1
2. cat /usr/lib/systemd/system/xvnc.socket

Actual results:

# The vncserver service unit file                                                                                                                   
#                                                                                                                                                   
# Quick HowTo:                                                                                                                                      
# 1. Copy this file to /etc/systemd/system/xvnc@.service                                                                                            
# 2. Copy xvnc.socket to /etc/systemd/system/xvnc.socket                  
# 3. Run `systemctl daemon-reload`                                                                                                                  
# 4. Run `systemctl enable xvnc.socket`                                                                                                             
#                                                                                                                                                   
# DO NOT RUN THIS SERVICE if your local area network is                                                                                             
# untrusted!  For a secure way of using VNC, you should                                                                                             
# limit connections to the local host and then tunnel from                                                                                          
# the machine you want to view VNC on (host A) to the machine                                                                                       
# whose VNC output you want to view (host B)                                                                                                        
#                                                                                                                                                   
# [user@hostA ~]$ ssh -v -C -L 590N:localhost:590M hostB                                                                                            
#                                                                                                                                                   
# this will open a connection on port 590N of your hostA to hostB's port 590M                                                                       
# (in fact, it ssh-connects to hostB and then connects to localhost (on hostB).                                                                     
# See the ssh man page for details on port forwarding)                                                                                              
#                                                                                                                                                   
# You can then point a VNC client on hostA at vncdisplay N of localhost and with                                                                    
# the help of ssh, you end up seeing what hostB makes available on port 590M                                                                        
#                                                                                                                                                   
# Use "-nolisten tcp" to prevent X connections to your VNC server via TCP.                                                                          
#                                                                                                                                                   
# Use "-localhost" to prevent remote VNC clients connecting except when                                                                             
# doing so through a secure tunnel.  See the "-via" option in the                                                                                   
# `man vncviewer' manual page.                                                                                                                      
                                                                          
                                                                                                                                                    
[Unit]                                                                                                                                              
Description=XVNC Per-Connection Daemon                                                                                                              
                                                                                                                                                    
[Service]                                                                                                                                           
ExecStart=-/usr/bin/Xvnc -inetd -query localhost -geometry 1024x768 -depth 24 -once -SecurityTypes=None
User=nobody
StandardInput=socket
StandardError=syslog


Expected results:

[Unit]
Description=XVNC Server

[Socket]
ListenStream=5900
Accept=yes

[Install]
WantedBy=sockets.target


Additional info:

Comment 1 Fedora Update System 2019-12-10 08:34:12 UTC
FEDORA-2019-8bcab526a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bcab526a8

Comment 2 Fedora Update System 2019-12-10 08:34:13 UTC
FEDORA-2019-60932d345a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-60932d345a

Comment 3 Fedora Update System 2019-12-11 01:04:09 UTC
tigervnc-1.10.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bcab526a8

Comment 4 Fedora Update System 2019-12-11 01:41:32 UTC
tigervnc-1.10.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-60932d345a

Comment 5 Fedora Update System 2019-12-12 01:54:17 UTC
tigervnc-1.10.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-12-21 01:26:56 UTC
tigervnc-1.10.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8005476e72

Comment 7 Fedora Update System 2020-01-04 22:15:17 UTC
tigervnc-1.10.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.